<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>best-leetcode-questions</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h2 id="array">Array</h2>
    <ul>
      <li>[ ] <a href="https://leetcode.com/problems/two-sum/">Two Sum</a></li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/best-time-to-buy-and-sell-stock/"
          >Best Time to Buy and Sell Stock</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/contains-duplicate/"
          >Contains Duplicate</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/product-of-array-except-self/"
          >Product of Array Except Self</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/maximum-subarray/"
          >Maximum Subarray</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/maximum-product-subarray/"
          >Maximum Product Subarray</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/find-minimum-in-rotated-sorted-array/"
          >Find Minimum in Rotated Sorted Array</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/search-in-rotated-sorted-array/"
          >Search in Rotated Sorted Array</a
        >
      </li>
      <li>[ ] <a href="https://leetcode.com/problems/3sum/">3Sum</a></li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/container-with-most-water/"
          >Container With Most Water</a
        >
      </li>
    </ul>
    <hr />
    <h2 id="binary">Binary</h2>
    <ul>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/sum-of-two-integers/"
          >Sum of Two Integers</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/number-of-1-bits/"
          >Number of 1 Bits</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/counting-bits/">Counting Bits</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/missing-number/"
          >Missing Number</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/reverse-bits/">Reverse Bits</a>
      </li>
    </ul>
    <hr />
    <h2 id="dynamic-programming">Dynamic Programming</h2>
    <ul>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/climbing-stairs/"
          >Climbing Stairs</a
        >
      </li>
      <li>
        [ ] <a href="https://leetcode.com/problems/coin-change/">Coin Change</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/longest-increasing-subsequence/"
          >Longest Increasing Subsequence</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/longest-common-subsequence/"
          >Longest Common Subsequence</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/word-break/"
          >Word Break Problem</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/combination-sum-iv/"
          >Combination Sum</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/house-robber/">House Robber</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/house-robber-ii/"
          >House Robber II</a
        >
      </li>
      <li>
        [ ] <a href="https://leetcode.com/problems/decode-ways/">Decode Ways</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/unique-paths/">Unique Paths</a>
      </li>
      <li>
        [ ] <a href="https://leetcode.com/problems/jump-game/">Jump Game</a>
      </li>
    </ul>
    <hr />
    <h2 id="graph">Graph</h2>
    <ul>
      <li>
        [ ] <a href="https://leetcode.com/problems/clone-graph/">Clone Graph</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/course-schedule/"
          >Course Schedule</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/pacific-atlantic-water-flow/"
          >Pacific Atlantic Water Flow</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/number-of-islands/"
          >Number of Islands</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/longest-consecutive-sequence/"
          >Longest Consecutive Sequence</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/alien-dictionary/"
          >Alien Dictionary (Leetcode Premium)</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/graph-valid-tree/"
          >Graph Valid Tree (Leetcode Premium)</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/number-of-connected-components-in-an-undirected-graph/"
          >Number of Connected Components in an Undirected Graph (Leetcode
          Premium)</a
        >
      </li>
    </ul>
    <hr />
    <h2 id="interval">Interval</h2>
    <ul>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/insert-interval/"
          >Insert Interval</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/merge-intervals/"
          >Merge Intervals</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/non-overlapping-intervals/"
          >Non-overlapping Intervals</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/meeting-rooms/"
          >Meeting Rooms (Leetcode Premium)</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/meeting-rooms-ii/"
          >Meeting Rooms II (Leetcode Premium)</a
        >
      </li>
    </ul>
    <hr />
    <h2 id="linked-list">Linked List</h2>
    <ul>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/reverse-linked-list/"
          >Reverse a Linked List</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/linked-list-cycle/"
          >Detect Cycle in a Linked List</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/merge-two-sorted-lists/"
          >Merge Two Sorted Lists</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/merge-k-sorted-lists/"
          >Merge K Sorted Lists</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/remove-nth-node-from-end-of-list/"
          >Remove Nth Node From End Of List</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/reorder-list/">Reorder List</a>
      </li>
    </ul>
    <hr />
    <h2 id="matrix">Matrix</h2>
    <ul>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/set-matrix-zeroes/"
          >Set Matrix Zeroes</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/spiral-matrix/">Spiral Matrix</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/rotate-image/">Rotate Image</a>
      </li>
      <li>
        [ ] <a href="https://leetcode.com/problems/word-search/">Word Search</a>
      </li>
    </ul>
    <hr />
    <h2 id="string">String</h2>
    <ul>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/longest-substring-without-repeating-characters/"
          >Longest Substring Without Repeating Characters</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/longest-repeating-character-replacement/"
          >Longest Repeating Character Replacement</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/minimum-window-substring/"
          >Minimum Window Substring</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/valid-anagram/">Valid Anagram</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/group-anagrams/"
          >Group Anagrams</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/valid-parentheses/"
          >Valid Parentheses</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/valid-palindrome/"
          >Valid Palindrome</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/longest-palindromic-substring/"
          >Longest Palindromic Substring</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/palindromic-substrings/"
          >Palindromic Substrings</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/encode-and-decode-strings/"
          >Encode and Decode Strings (Leetcode Premium)</a
        >
      </li>
    </ul>
    <hr />
    <h2 id="tree">Tree</h2>
    <ul>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/maximum-depth-of-binary-tree/"
          >Maximum Depth of Binary Tree</a
        >
      </li>
      <li>
        [ ] <a href="https://leetcode.com/problems/same-tree/">Same Tree</a>
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/invert-binary-tree/"
          >Invert/Flip Binary Tree</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/binary-tree-maximum-path-sum/"
          >Binary Tree Maximum Path Sum</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/binary-tree-level-order-traversal/"
          >Binary Tree Level Order Traversal</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/serialize-and-deserialize-binary-tree/"
          >Serialize and Deserialize Binary Tree</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/subtree-of-another-tree/"
          >Subtree of Another Tree</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/construct-binary-tree-from-preorder-and-inorder-traversal/"
          >Construct Binary Tree from Preorder and Inorder Traversal</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/validate-binary-search-tree/"
          >Validate Binary Search Tree</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/kth-smallest-element-in-a-bst/"
          >Kth Smallest Element in a BST</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/lowest-common-ancestor-of-a-binary-search-tree/"
          >Lowest Common Ancestor of BST</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/implement-trie-prefix-tree/"
          >Implement Trie (Prefix Tree)</a
        >
      </li>
      <li>
        [ ]
        <a
          href="https://leetcode.com/problems/add-and-search-word-data-structure-design/"
          >Add and Search Word</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/word-search-ii/"
          >Word Search II</a
        >
      </li>
    </ul>
    <hr />
    <h2 id="heap">Heap</h2>
    <ul>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/merge-k-sorted-lists/"
          >Merge K Sorted Lists</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/top-k-frequent-elements/"
          >Top K Frequent Elements</a
        >
      </li>
      <li>
        [ ]
        <a href="https://leetcode.com/problems/find-median-from-data-stream/"
          >Find Median from Data Stream</a
        >
      </li>
    </ul>
    <h2 id="important-link">Important Link:</h2>
    <p>
      <a
        href="https://hackernoon.com/14-patterns-to-ace-any-coding-interview-question-c5bb3357f6ed"
        >14 Patterns to Ace Any Coding Interview Question</a
      >
    </p>
  </body>
</html>
